#include <stdio.h>

/* 
Write a C program to print the number of prime numbers between two given numbers. The two
numbers will also be counted. For example: let us find the number of prime numbers between
7 and 16. The prime numbers are: 7, 11, and 13. Thus there are 3 prime numbers. 

Input format: The input will have two lines. 
The first line will contain  the lower number in the range and the second line will contain
the higher number in the range. Both the numbers will be integers (>= 2). 

Output format: The number of prime numbers (Use "%d\n" as the format string)
NO LEADING OR TRAILING SPACES
*/

int main() {
	/* Don't modify anything above this line */
	int lo, hi, num, prime_count = 0;
	int flag,j;

	scanf ("%d",&lo);
	scanf ("%d",&hi);

	for(num = lo; num <= hi; num++){
	
		/* check if the number is prime */
		flag = 1;
		for (j=2; j < num; j++){
			if (num % j == 0) {
				flag = 0;
				break;
			}
		}
		if ( (flag == 1) || (num == 2)) 
			prime_count++;
	}

	printf ("%d\n",prime_count);

	/* Don't modify anything below this line */
	return 0;
}
