#include <stdio.h>

/* 
1) Write a C program to print the following grid of numbers for any given input integer n (>= 1).
Example:

Input: 4

Output:
1 2 3 4
4 1 2 3
3 4 1 2
2 3 4 1

Input: 6

Output:
1 2 3 4 5 6
6 1 2 3 4 5
5 6 1 2 3 4 
4 5 6 1 2 3
3 4 5 6 1 2
2 3 4 5 6 1

The logic is that for the ith row, we move every digit in the (i-1)th row one position to the right. The last
digit in the (i-1)th row becomes the first digit in the ith row. 

Input format:  The number n (integer, and n >= 1)

Output format: Multiple rows. In each row the list of integers are separated by a single space (' '). There are
no spaces at the beginning or end of a line. 

NO LEADING OR TRAILING SPACES IN ANY LINE
*/

int main() {
	/* Don't modify anything above this line */
	int num,i,j,start,val;
	scanf ("%d",&num);

	start = 1;
	for (i=0; i < num; i++){

		/* print the row */
		for (j = 0; j < num; j++) {
			val = (start +j)%num;
			if (val == 0) 
				val = num;
			printf ("%d", val);
			
			if(j == (num-1)) {
				start = val;
				printf ("\n");
			}
			else printf (" ");
		}
	}

	/* Don't modify anything below this line */
	return 0;
}
